/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk_imlib.h>
#include <string.h>
#include <unistd.h>
#include "ds7lib.h"

#ifndef GDS7_H
#define GDS7_H

/* Uncomment this for debugging */
//#define DEBUG 1

struct picent{
  GtkWidget *mainbox,*frame,*number,*box,*preview,*nevbox,*namebox;
  char *name;
  int picnum,status;
};

extern struct picent *pics, *poppic;
extern GtkWidget *pixcount, *camid, *pictable, *picwin,*align;
extern GtkWidget *window,*blankmap;
extern GtkWidget *progress;
extern GtkWidget *mainbar,*filemenu,*popmenu;

extern int numpix,rows,cols;
extern char* preview_cmd;
extern float thumbscale,thumbgam;
extern int init;
extern int baudrate,menubaud;
extern cam_info *thecam_info;

#define STAT_THUMB 1
#define STAT_INFO  2
#define STAT_SAVED 4

#endif /* GDS7_H */
